# Generated by Django 2.0.9 on 2018-11-02 12:01

import pycountry
from django.db import migrations


def add_script_codes(apps, schema_editor):
    Script = apps.get_model('script_codes', 'Script')

    for s in pycountry.scripts:
        script = Script(code=s.alpha_4, number=int(s.numeric), name=s.name)
        script.save()


def remove_script_codes(apps, schema_editor):
    Script = apps.get_model('script_codes', 'Script')
    Script.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('script_codes', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(add_script_codes, remove_script_codes)
    ]
